.globalSearch {
	position: relative;
}

.globalSearch .searchWrapper {
	-webkit-appearance: none;
	box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
	transition: all .1s ease-out;
	padding: 0px 10px;
	color: #4c4a4b;
	border-radius: 6px;
	display: flex;
	align-items: center;
	white-space: auto;
	position: relative;
	background: white;
}

#mainContent .globalSearch .searchWrapper {
	margin: 15px 0 20px;
}

.globalSearch form.focus .searchWrapper {
	box-shadow: 0 0 5px #3b80bf;
}

@media only screen and (max-width: 660px) {
	#mainContent .globalSearch .searchWrapper {
		margin-left: 10px;
		margin-right: 10px;
	}

	#searchResults {
		padding-top: 0;
	}
}

.globalSearch input.search {
	border: none;
	background: transparent;
	padding: 0;
	margin: 0;
	line-height: inherit;
	font-size: 16px;
	height: 49px;
	flex: 1 0 0;
	outline: none;
	width: auto;
}

.searchResultsGeneratedWrapper {
	box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.3);
	position: absolute;
	width: 100%;
	z-index: 100;
	background: white;
	max-height: 80vh;
	overflow: auto;
	border-radius: 3px;
	margin-top: 10px;
	display: none;
}

.globalSearch .controls {
	display: flex;
	margin-left: -5px;
}

.globalSearch .controls > * {
	margin-left: 5px;
}

.globalSearch .controls .css-spinner {
	transition: all 0.2s ease-out;
	display: none;
	opacity: 0;
}

.globalSearch form.searching .css-spinner {
	display: inline-block;
	opacity: 1;
}

.globalSearch .backbutton {
	color: #68a0d5;
	transition: color .2s ease-out;
	left: 0;
	cursor: pointer;
	height: 100%;
	font-size: 25px;
	display: flex;
	text-align: center;
	margin-right: 5px;
}

.globalSearch .backbutton i {
	margin: auto;
}

.globalSearch .backbutton:hover {
	color: #0982df;
}

.globalSearch button.searchSubmit {
	height: 34px;
}

.globalSearch button.searchSubmit .icon {
	font-size: 0.9em;
}

.globalSearch a.searchCancel {
	position: relative;
	top: 24px;
}

.globalSearch .buttonWrapper {
	max-width: 640px;
	padding-left: 0;
	overflow: unset;
}

#searchResults .pageBody {
	clear: both;
}

.searchResults {
	text-align: left;
	overflow: hidden;
	padding-bottom: -1px;
	clear: both;
}

.searchResults .searchTerm {
	display: none;
}

.searchResults .allResults .typeName {
	font-size: 15px;
	font-weight: bold;
	line-height: 1.5em;
}

.searchResults .allResults .seeAll {
	float: right;
	font-size: 12px;
	color: #3b80bf;
	line-height: 1.5em;
	position: relative;
	top: 2px;
}

.searchResults .allResults .seeAll .icon {
	line-height: 1.4em;
	font-size: 1.2em;
	margin-right: 0;
}

.searchResults .allResults .typeName .icon {
	margin-right: 0.3em;
}

.searchResults div.allResults,
.searchResults a {
	display: block;
	border-bottom: 1px solid #e0e6f4;
	padding: 7px 10px;
	color: #4c4a4b;
	position: relative;
	overflow: auto;
}

.searchResultsWrapper .searchResults a:last-child,
.searchResultsGeneratedWrapper .searchResults a:last-child {
	border-bottom: 1px solid #e0e6f4;
}

.searchResults a .info {
	cursor: pointer;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	flex-grow: 1;
}

.searchResults a.searchTerm {
	color: #3b80bf;
}

.searchResults a.searchTerm::after,
.searchResults a.searchResult::after {
	content: "\e065";
	font-family: "icomoon";
	speak: none;
	position: absolute;
	right: 11px;
	top: 50%;
	height: 16px;
	line-height: 16px;
	margin-top: -8px;
	color: #3b80bf;
	opacity: 0;
	transition: opacity 0.2s ease-out;
}

.searchResults a.searchTerm.selected::after,
.searchResults a.searchResult.selected::after,
.searchResults a.searchTerm:hover::after,
.searchResults a.searchResult:hover::after {
	opacity: 1;
}

.searchResults a.searchResult {
	background-color: #fafbfd;
}

.searchResults a.selected,
.searchResults a:hover,
.searchResults a:focus {
	background-color: #eff1f9;
}

.searchResults article a,
.searchResults a article {
	display: flex;
	align-items: center;
}

.sidebar .searchResults article a,
.sidebar .searchResults a article {
	flex-direction: row-reverse;
}

.searchResults a .circle,
.searchResults a img {
	height: 50px;
	width: 50px;
	flex: 0 0 50px;
	border-radius: 50%;
	overflow: hidden;
	margin-right: 10px;
	margin-left: 0;
}

.searchResults a .circle .icon,
.searchResults a .circle {
	line-height: 50px;
	color: white;
	text-align: center;
	font-size: 20px;
	width: 100%;
	height: 100%;
}

.sidebar .searchResults a .circle,
.sidebar .searchResults a img {
	margin: 0;
}

.searchResults a .circle {
	background: #87a7d5 !important;
}

.searchResults a .circle .icon {
	margin: 0;
}

.searchResults a .rating {
	display: inline-block;
	font-size: 15px;
	letter-spacing: 2px;
}

.searchResults a .rating .icon {
	color: #ffcc46;
	margin-right: 0;
}

.searchResults a .numberOfRatings {
	font-size: 12px;
	color: #838283;
}

.searchResults a .listingName,
.searchResults a .author,
.searchResults a .category {
	font-size: 11px;
	padding: 2px 5px 1px;
	margin-top: 1px;
	text-transform: uppercase;
	font-weight: 600;
}

.searchResults a .salary,
.searchResults a .listingName {
	color: #f78929;
}

.searchResults a .details {
	font-size: 12px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	display: block;
}

.searchResults a .details .icon {
	margin-top: -1px;
	margin-right: 0;
	line-height: 1.4;
}

.searchResults a .category {
	font-size: 10px;
	transition: all 0.2s ease-out;
	position: relative;
	top: 1px;
}

.searchResults a.listing .category {
	margin-right: 5px;
}

.searchResults a .updated {
	font-size: 0.8em;
	color: gray;
	font-style: italic;
}

.searchResults a .author {
	color: #3d80bf;
	margin-top: 1px;
	line-height: 13px;
}

.searchResults a .quote {
	font-style: italic;
}

.searchResults a h1 {
	font-size: 16px;
	padding: 4px 0 5px;
	margin: 0;
	font-weight: 400;
	clear: both;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	line-height: 1.2;
}

.searchResults a h1 .status {
	font-size: 0.7em;
	text-transform: uppercase;
	display: inline-block;
	background-color: red;
	padding: 1px 4px;
	color: white;
	border-radius: 3px;
	vertical-align: middle;
	font-weight: bold;
	margin-top: -2px;
}

.searchResults div.noContent {
	padding: 4vh 4vw;
	font-size: 16px;
	font-weight: 400;
	line-height: 1.5em;
	letter-spacing: 0;
	color: #888;
}

.searchResults div.noContent a.keyword {
	display: inline-block;
	border: none;
	color: #3c7fbf;
	padding: 0;
	background: none;
	overflow: unset;
}

.searchResults div.noContent a.keyword:hover {
	color: black;
}

@media only screen and (min-width: 500px) {
	#mainContent .searchResults a .circle,
	#mainContent .searchResults a img {
		height: 60px;
		width: 60px;
		flex: 0 0 60px;
	}

	#mainContent .searchResults a .circle .icon,
	#mainContent .searchResults a .circle {
		line-height: 60px;
		font-size: 25px;
	}
}

@media only screen and (max-width: 400px) {
	.searchResults div.allResults,
	.searchResults a {
		padding: 7px;
	}

	.searchResults a.searchTerm::after,
	.searchResults a.searchResult::after {
		right: 7px;
	}

	.searchResults a .circle,
	.searchResults a img {
		height: 40px;
		width: 40px;
		flex: 0 0 40px;
		margin-right: 7px;
	}

	.searchResults a .circle .icon,
	.searchResults a .circle {
		line-height: 40px;
	}

	.searchResults a h1 {
		font-size: 15px;
		font-weight: bold;
	}

	.searchResults a .totalRatingsText {
		display: none;
	}
}

@media only screen and (max-width: 776px) {
	.searchResultsGeneratedWrapper {
		margin-top: 0px;
		border-radius: 0px;
		box-shadow: none;
	}
}
